Index: src/edu/ucsb/nceas/metacat/MetaCatServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 2663)
@@ -65,6 +65,9 @@
 import com.oreilly.servlet.multipart.ParamPart;
 import com.oreilly.servlet.multipart.Part;
 
+import org.apache.log4j.Logger;
+import org.apache.log4j.PropertyConfigurator;
+
 import edu.ucsb.nceas.utilities.Options;
 
 /**
@@ -161,9 +164,9 @@
     private static final String CONFIG_DIR = "WEB-INF";
 
     private static final String CONFIG_NAME = "metacat.properties";
-     
-    public static String LOG_CONFIG_NAME; 
-	 
+     	 
+    private static Logger logMetacat = Logger.getLogger(MetaCatServlet.class);
+    
     /**
      * Initialize the servlet by creating appropriate database connections
      */
@@ -178,16 +181,17 @@
             String dirPath = context.getRealPath(CONFIG_DIR);
             File propertyFile = new File(dirPath, CONFIG_NAME);
 
-    	    LOG_CONFIG_NAME = dirPath + "/log4j.properties";
-	    
+            String LOG_CONFIG_NAME = dirPath + "/log4j.properties";
+            PropertyConfigurator.configureAndWatch(LOG_CONFIG_NAME);
+            
             Options options = null;
             try {
                 options = Options.initialize(propertyFile);
-                MetaCatUtil.debugMessage("Options configured: "
-                        + options.getOption("configured"), 20);
+                MetaCatUtil.printMessage("Options configured: "
+                        + options.getOption("configured"));
             } catch (IOException ioe) {
-                MetaCatUtil.debugMessage("Error in loading options: "
-                        + ioe.getMessage(), 20);
+                logMetacat.error("Error in loading options: "
+                        + ioe.getMessage());
             }
 
             util = new MetaCatUtil();
@@ -207,14 +211,14 @@
             // Index the paths specified in the metacat.properties
             checkIndexPaths();
 
-            System.out.println("Metacat (" + Version.getVersion()
+            MetaCatUtil.printMessage("Metacat (" + Version.getVersion()
                                + ") initialized.");
 
         } catch (ServletException ex) {
             throw ex;
         } catch (SQLException e) {
-            MetaCatUtil.debugMessage("Error in MetacatServlet.init: "
-                    + e.getMessage(), 20);
+            logMetacat.error("Error in MetacatServlet.init: "
+                    + e.getMessage());
         }
     }
 
@@ -255,7 +259,7 @@
     
         if (MetaCatUtil.pathsForIndexing != null) {
     
-            MetaCatUtil.debugMessage("Indexing paths....", 20);
+            MetaCatUtil.printMessage("Indexing paths specified in metacat.properties....");
     
             DBConnection conn = null;
             int serialNumber = -1;
@@ -264,9 +268,9 @@
             ResultSet rs = null;
     
             for (int i = 0; i < MetaCatUtil.pathsForIndexing.size(); i++) {
-                MetaCatUtil.formattedDebugMessage("Checking if '"
+                logMetacat.info("Checking if '"
                            + (String) MetaCatUtil.pathsForIndexing.elementAt(i)
-                           + "' is indexed.... ",30, false, true);
+                           + "' is indexed.... ");
     
                 try {
                     //check out DBConnection
@@ -283,16 +287,15 @@
                     rs = pstmt.getResultSet();
     
                     if (!rs.next()) {
-                        MetaCatUtil.formattedDebugMessage("not indexed yet.", 30,
-                                                       true, false);
+                        logMetacat.info(".....not indexed yet.");
                         rs.close();
                         pstmt.close();
                         conn.increaseUsageCount(1);
     
-                        MetaCatUtil.debugMessage(
+                        logMetacat.debug(
                               "Inserting following path in xml_path_index: "
                               + (String)MetaCatUtil.pathsForIndexing
-                                                   .elementAt(i), 60);
+                                                   .elementAt(i));
     
                         pstmt = conn.prepareStatement("SELECT DISTINCT n.docid, "
                               + "n.nodedata, n.nodedatanumerical, n.parentnodeid"
@@ -305,10 +308,10 @@
                         rs = pstmt.getResultSet();
     
                         int count = 0;
-                        MetaCatUtil.debugMessage(
+                        logMetacat.debug(
                                        "Executed the select statement for: "
                                        + (String) MetaCatUtil.pathsForIndexing
-                                         .elementAt(i), 60);
+                                         .elementAt(i));
     
                         try {
                             while (rs.next()) {
@@ -349,14 +352,13 @@
                         pstmt.close();
                         conn.increaseUsageCount(1);
     
-                        MetaCatUtil.debugMessage("Indexed " + count
+                        logMetacat.warn("Indexed " + count
                                 + " records from xml_nodes for '"
                                 + (String) MetaCatUtil.pathsForIndexing.elementAt(i)
-                                + "'", 20);
+                                + "'");
     
                     } else {
-                        MetaCatUtil.formattedDebugMessage("already indexed.", 30,
-                                                       true, false);
+                    	logMetacat.info(".....already indexed.");
                     }
     
                     rs.close();
@@ -364,8 +366,8 @@
                     conn.increaseUsageCount(1);
     
                 } catch (Exception e) {
-                    MetaCatUtil.debugMessage("error in DocumentImpl.delete: "
-                                             + e.getMessage(), 30);
+                    logMetacat.error("Error in MetaCatServlet.checkIndexPaths: "
+                                             + e.getMessage());
                 }finally {
                     //check in DBonnection
                     DBConnectionPool.returnDBConnection(conn, serialNumber);
@@ -374,7 +376,7 @@
     
             }
     
-            MetaCatUtil.debugMessage("Path Indexing Completed", 20);
+            MetaCatUtil.printMessage("Path Indexing Completed");
         }
     }
 
@@ -390,9 +392,9 @@
             util = new MetaCatUtil();
         }
         /*
-         * MetaCatUtil.debugMessage("Connection pool size: "
+         * logMetacat.info("Connection pool size: "
          * +connPool.getSizeOfDBConnectionPool(),10);
-         * MetaCatUtil.debugMessage("Free DBConnection number: "
+         * logMetacat.info("Free DBConnection number: "
          */
         //If all DBConnection in the pool are free and DBConnection pool
         //size is greater than initial value, shrink the connection pool
@@ -448,7 +450,7 @@
             }
 
             String action = ((String[]) params.get("action"))[0];
-            MetaCatUtil.debugMessage("Line 230: Action is: " + action, 1);
+            logMetacat.warn("Action is: " + action);
 
             // This block handles session management for the servlet
             // by looking up the current session information for all actions
@@ -495,21 +497,21 @@
                 HttpSession sess = request.getSession(true);
                 if (sess.isNew() && !params.containsKey("sessionid")) {
                     // session expired or has not been stored b/w user requests
-                    MetaCatUtil.debugMessage(
-                            "in session is new or no sessionid", 40);
+                    logMetacat.warn(
+                            "The session is new or no sessionid is assigned. The user is public");
                     username = "public";
                     sess.setAttribute("username", username);
                 } else {
-                    MetaCatUtil.debugMessage("in session is not new or "
-                            + " has sessionid parameter", 40);
+                    logMetacat.warn("The session is not new or "
+                            + " has sessionid parameter");
                     try {
                         if (params.containsKey("sessionid")) {
                             sess_id = ((String[]) params.get("sessionid"))[0];
-                            MetaCatUtil.debugMessage("in has sessionid "
-                                    + sess_id, 40);
+                            logMetacat.info("in has sessionid "
+                                    + sess_id);
                             if (sessionHash.containsKey(sess_id)) {
-                                MetaCatUtil.debugMessage("find the id "
-                                        + sess_id + " in hash table", 40);
+                                logMetacat.info("find the id "
+                                        + sess_id + " in hash table");
                                 sess = (HttpSession) sessionHash.get(sess_id);
                             }
                         } else {
@@ -516,10 +518,10 @@
                             // we already store the session in login, so we
                             // don't need here
                             /*
-                             * MetaCatUtil.debugMessage("in no sessionid
+                             * logMetacat.info("in no sessionid
                              * parameter ", 40); sess_id =
                              * (String)sess.getId();
-                             * MetaCatUtil.debugMessage("storing the session id "
+                             * logMetacat.info("storing the session id "
                              * + sess_id + " which has username " +
                              * sess.getAttribute("username") + " into session
                              * hash in handleGetOrPost method", 35);
@@ -526,15 +528,15 @@
                              */
                         }
                     } catch (IllegalStateException ise) {
-                        System.out.println(
-                                "error in handleGetOrPost: this shouldn't "
+                        logMetacat.error(
+                                "Error in handleGetOrPost: this shouldn't "
                                 + "happen: the session should be valid: "
                                 + ise.getMessage());
                     }
 
                     username = (String) sess.getAttribute("username");
-                    MetaCatUtil.debugMessage("The user name from session is: "
-                            + username, 20);
+                    logMetacat.warn("The user name from session is: "
+                            + username);
                     password = (String) sess.getAttribute("password");
                     groupnames = (String[]) sess.getAttribute("groupnames");
                 }
@@ -543,7 +545,7 @@
                 if (username == null || (username.trim().equals(""))) {
                     username = "public";
                 }
-                MetaCatUtil.debugMessage("The user is : " + username, 5);
+                logMetacat.warn("The user is : " + username);
             }
             // Now that we know the session is valid, we can delegate the
             // request
@@ -737,7 +739,7 @@
         }
 
         String un = ((String[]) params.get("username"))[0];
-        MetaCatUtil.debugMessage("user " + un + " try to login", 20);
+        logMetacat.warn("user " + un + " try to login");
         String pw = ((String[]) params.get("password"))[0];
 
         String qformat = "xml";
@@ -759,9 +761,9 @@
         if (isValid) {
             HttpSession session = sess.getSessions();
             String id = session.getId();
-            MetaCatUtil.debugMessage("Store session id " + id
+            logMetacat.info("Store session id " + id
                     + "which has username" + session.getAttribute("username")
-                    + " into hash in login method", 35);
+                    + " into hash in login method");
             sessionHash.put(id, session);
         }
 
@@ -778,9 +780,9 @@
                         out, null);
             } catch (Exception e) {
 
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in MetaCatServlet.handleLoginAction: "
-                                + e.getMessage(), 30);
+                                + e.getMessage());
             }
         }
     }
@@ -799,13 +801,13 @@
 
         // close the connection
         HttpSession sess = request.getSession(false);
-        MetaCatUtil.debugMessage("After get session in logout request", 40);
+        logMetacat.info("After get session in logout request");
         if (sess != null) {
-            MetaCatUtil.debugMessage("The session id " + sess.getId()
-                    + " will be invalidate in logout action", 30);
-            MetaCatUtil.debugMessage("The session contains user "
+            logMetacat.info("The session id " + sess.getId()
+                    + " will be invalidate in logout action");
+            logMetacat.warn("The session contains user "
                     + sess.getAttribute("username")
-                    + " will be invalidate in logout action", 30);
+                    + " will be invalidate in logout action");
             sess.invalidate();
         }
 
@@ -828,9 +830,9 @@
                         "-//NCEAS//login//EN", "-//W3C//HTML//EN", qformat,
                         out, null);
             } catch (Exception e) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Error in MetaCatServlet.handleLogoutAction"
-                                + e.getMessage(), 30);
+                                + e.getMessage());
             }
         }
     }
@@ -855,8 +857,8 @@
         DBQuery queryobj = new DBQuery(saxparser);
         queryobj.findDocuments(response, out, params, user, groups, sessionid);
         double outPutTime = System.currentTimeMillis() / 1000;
-        MetaCatUtil.debugMessage("total search time: "
-                + (outPutTime - startTime), 30);
+        logMetacat.warn("Total search time for action 'squery': "
+                + (outPutTime - startTime));
 
     }
 
@@ -881,8 +883,8 @@
         DBQuery queryobj = new DBQuery(saxparser);
         queryobj.findDocuments(response, out, params, user, groups, sessionid);
         double outPutTime = System.currentTimeMillis() / 1000;
-        MetaCatUtil.debugMessage("total search time: "
-                + (outPutTime - startTime), 30);
+        logMetacat.warn("Total search time for action 'query': "
+                + (outPutTime - startTime));
 
         //handleSQuery(out, params, response,user, groups, sessionid);
     }
@@ -967,14 +969,14 @@
                     zOut.close();
                 }
             } catch (IOException ioe) {
-                MetaCatUtil.debugMessage("Problem with the servlet output "
+                logMetacat.error("Problem with the servlet output "
                         + "in MetacatServlet.handleExportAction: "
-                        + ioe.getMessage(), 30);
+                        + ioe.getMessage());
             }
 
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in MetacatServlet.handleExportAction: "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
             e.printStackTrace(System.out);
 
         }
@@ -1082,13 +1084,13 @@
                     out.close();
                 }
             } catch (IOException ioe) {
-                MetaCatUtil.debugMessage("Problem with the servlet output "
+                logMetacat.error("Problem with the servlet output "
                         + "in MetacatServlet.handleExportAction: "
-                        + ioe.getMessage(), 30);
+                        + ioe.getMessage());
             }
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in MetacatServlet.handleReadInlineDataAction: "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
         }
     }
 
@@ -1138,8 +1140,8 @@
                 DBConnectionPool.returnDBConnection(conn, serialNumber);
             }
         }
-        MetaCatUtil.debugMessage("The nodeid for inlinedataid " + inLineDataId
-                + " is: " + nodeId, 35);
+        logMetacat.info("The nodeid for inlinedataid " + inLineDataId
+                + " is: " + nodeId);
         return nodeId;
     }
 
@@ -1244,8 +1246,8 @@
             // the docid which didn't be found
             String notFoundDocId = notFoundE.getUnfoundDocId();
             String notFoundRevision = notFoundE.getUnfoundRevision();
-            MetaCatUtil.debugMessage("Missed id: " + notFoundDocId, 30);
-            MetaCatUtil.debugMessage("Missed rev: " + notFoundRevision, 30);
+            logMetacat.warn("Missed id: " + notFoundDocId);
+            logMetacat.warn("Missed rev: " + notFoundRevision);
             try {
                 // read docid from remote server
                 readFromRemoteMetaCat(response, notFoundDocId,
@@ -1260,9 +1262,9 @@
                 }
 
             } catch (Exception exc) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Erorr in MetacatServlet.hanldReadAction: "
-                                + exc.getMessage(), 30);
+                                + exc.getMessage());
                 try {
                     if (out != null) {
                         response.setContentType("text/xml");
@@ -1293,9 +1295,9 @@
                         zout.close();
                     }
                 } catch (IOException ie) {
-                    MetaCatUtil.debugMessage("Problem with the servlet output "
+                    logMetacat.error("Problem with the servlet output "
                             + "in MetacatServlet.handleReadAction: "
-                            + ie.getMessage(), 30);
+                            + ie.getMessage());
                 }
             }
         } catch (Exception e) {
@@ -1329,16 +1331,16 @@
                 }
 
             } catch (IOException ioe) {
-                MetaCatUtil.debugMessage("Problem with the servlet output "
+                logMetacat.error("Problem with the servlet output "
                         + "in MetacatServlet.handleReadAction: "
-                        + ioe.getMessage(), 30);
+                        + ioe.getMessage());
                 ioe.printStackTrace(System.out);
 
             }
 
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Error in MetacatServlet.handleReadAction: "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
             //e.printStackTrace(System.out);
         }
     }
@@ -1390,8 +1392,8 @@
                     ContentTypeProvider provider = new ContentTypeProvider(
                             docid);
                     contentType = provider.getContentType();
-                    MetaCatUtil.debugMessage("Final contenttype is: "
-                            + contentType, 30);
+                    logMetacat.warn("Final contenttype is: "
+                            + contentType);
                 }
 
                 response.setContentType(contentType);
@@ -1636,7 +1638,7 @@
             out.println("<error>");
             out.println("Docid not specified");
             out.println("</error>");
-            MetaCatUtil.debugMessage("Docid not specified",10);
+            logMetacat.error("Docid not specified");
             return;
         }
         
@@ -1645,7 +1647,7 @@
             out.println("<error>");
             out.println("User '" + user + "' not allowed to insert and update");
             out.println("</error>");
-            MetaCatUtil.debugMessage("User '" + user + "' not allowed to insert and update",10);
+            logMetacat.error("User '" + user + "' not allowed to insert and update");
             return;
         }
 
@@ -1735,8 +1737,8 @@
                     // write the document to the database
                     try {
                         String accNumber = docid[0];
-                        MetaCatUtil.debugMessage("" + doAction + " "
-                                + accNumber + "...", 10);
+                        logMetacat.warn("" + doAction + " "
+                                + accNumber + "...");
                         if (accNumber.equals("")) {
                             accNumber = null;
                         }
@@ -1835,7 +1837,7 @@
             }
         }
 
-        MetaCatUtil.debugMessage("Validation for dtd is " + validate, 10);
+        logMetacat.warn("Validation for dtd is " + validate);
         return validate;
     }
 
@@ -1846,8 +1848,8 @@
     {
         boolean needSchemaValidate = false;
         if (xml == null) {
-            MetaCatUtil.debugMessage("Validation for schema is "
-                    + needSchemaValidate, 10);
+            logMetacat.warn("Validation for schema is "
+                    + needSchemaValidate);
             return needSchemaValidate;
         }
         System.out.println("before get target line");
@@ -1861,8 +1863,8 @@
             needSchemaValidate = true;
         }
 
-        MetaCatUtil.debugMessage("Validation for schema is "
-                + needSchemaValidate, 10);
+        logMetacat.warn("Validation for schema is "
+                + needSchemaValidate);
         return needSchemaValidate;
 
     }
@@ -1877,8 +1879,8 @@
         String eml2_1_0NameSpace = DocumentImpl.EML2_1_0NAMESPACE;
 
         if (xml == null) {
-            MetaCatUtil.debugMessage("Validation for schema is "
-                    + namespace, 10);
+            logMetacat.warn("Validation for schema is "
+                    + namespace);
             return namespace;
         }
         String targetLine = getSchemaLine(xml);
@@ -1905,8 +1907,8 @@
                 }
             }
             schemaLocation = targetLine.substring(start + 1, end);
-            MetaCatUtil.debugMessage("schemaLocation in xml is: "
-                    + schemaLocation, 30);
+            logMetacat.info("schemaLocation in xml is: "
+                    + schemaLocation);
             if (schemaLocation.indexOf(eml2_0_0NameSpace) != -1) {
                 namespace = eml2_0_0NameSpace;
             } else if (schemaLocation.indexOf(eml2_0_1NameSpace) != -1) {
@@ -1916,8 +1918,7 @@
             }
         }
 
-        MetaCatUtil.debugMessage("Validation for eml is " + namespace,
-                10);
+        logMetacat.warn("Validation for eml is " + namespace);
 
         return namespace;
 
@@ -1969,8 +1970,8 @@
             tmp = xml.read();
         }
         secondLine = buffer.toString();
-        MetaCatUtil
-                .debugMessage("the second line string is: " + secondLine, 25);
+        logMetacat.info("the second line string is: " + secondLine);
+        
         xml.reset();
         return secondLine;
     }
@@ -2321,8 +2322,8 @@
                     docid, event, startDate, endDate));
             out.close();
         } catch (IOException e) {
-            MetaCatUtil.debugMessage(
-                    "Could not open http response for writing: " + e.getMessage(), 5);
+            logMetacat.error(
+                    "Could not open http response for writing: " + e.getMessage());
         }
     }
 
@@ -2383,9 +2384,9 @@
             out.println("</success>");
             out.close();
         } catch (IOException e) {
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Could not open http response for writing: "
-                    + e.getMessage(), 5);
+                    + e.getMessage());
         }
     }
 
@@ -2428,8 +2429,8 @@
         Hashtable fileList = new Hashtable();
         int sizeLimit = (new Integer(MetaCatUtil.getOption("datafilesizelimit")))
                 .intValue();
-        MetaCatUtil.debugMessage(
-                "The limit size of data file is: " + sizeLimit, 50);
+        logMetacat.info(
+                "The limit size of data file is: " + sizeLimit);
 
         try {
             // MBJ: need to put filesize limit in Metacat config
@@ -2465,8 +2466,7 @@
             try {
                 out = response.getWriter();
             } catch (IOException ioe2) {
-                System.err
-                        .println("Fatal Error: couldn't get response output stream.");
+                logMetacat.fatal("Fatal Error: couldn't get response output stream.");
             }
             out.println("<?xml version=\"1.0\"?>");
             out.println("<error>");
@@ -2504,8 +2504,8 @@
         try {
             out = response.getWriter();
         } catch (IOException ioe2) {
-            MetaCatUtil.debugMessage("Fatal Error: couldn't get response "
-                    + "output stream.", 30);
+            logMetacat.error("Fatal Error: couldn't get response "
+                    + "output stream.");
         }
 
         if (action.equals("upload")) {
@@ -2564,13 +2564,13 @@
             // Get a reference to the file part of the form
             FilePart filePart = (FilePart) fileList.get("datafile");
             String fileName = filePart.getFileName();
-            MetaCatUtil.debugMessage("Uploading filename: " + fileName, 10);
+            logMetacat.warn("Uploading filename: " + fileName);
 
             // Check if the right file existed in the uploaded data
             if (fileName != null) {
 
                 try {
-                    //MetaCatUtil.debugMessage("Upload datafile " + docid
+                    //logMetacat.info("Upload datafile " + docid
                     // +"...", 10);
                     //If document get lock data file grant
                     if (DocumentImpl.getDataFileLockGrant(docid)) {
@@ -2693,8 +2693,8 @@
         //debug
         if (packageSet != null) {
             for (int i = 0; i < packageSet.size(); i++) {
-                MetaCatUtil.debugMessage("doctype in package set: "
-                        + (String) packageSet.elementAt(i), 34);
+                logMetacat.info("doctype in package set: "
+                        + (String) packageSet.elementAt(i));
             }
         }
 
@@ -2708,8 +2708,8 @@
                 owner = getFieldValueForDoc(accessionNumber, "user_owner");
                 publicId = getFieldValueForDoc(accessionNumber, "doctype");
             } catch (Exception e) {
-                MetaCatUtil.debugMessage("Error in handleSetAccessAction: "
-                        + e.getMessage(), 30);
+                logMetacat.error("Error in handleSetAccessAction: "
+                        + e.getMessage());
                 error = "Error in set access control for document - "
                         + accessionNumber + e.getMessage();
                 errorList.addElement(error);
@@ -2751,9 +2751,9 @@
                             + accessionNumber + " successfully";
                     successList.addElement(success);
                 } catch (Exception ee) {
-                    MetaCatUtil.debugMessage(
+                    logMetacat.error(
                             "Erorr in handleSetAccessAction2: "
-                                    + ee.getMessage(), 30);
+                                    + ee.getMessage());
                     error = "Faild to set access control for document "
                             + accessionNumber + " because " + ee.getMessage();
                     errorList.addElement(error);
@@ -2804,9 +2804,9 @@
                         + accessionNumber);
             }
         } catch (Exception e) {
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Exception in MetacatServlet.getPublicIdForDoc: "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
             throw e;
         } finally {
             try {
@@ -2849,9 +2849,9 @@
                 docList.add(docid + "." + rev);
             }
         } catch (SQLException e) {
-            MetaCatUtil.debugMessage(
+            logMetacat.error(
                     "Exception in MetacatServlet.getDocumentList: "
-                            + e.getMessage(), 30);
+                            + e.getMessage());
             throw e;
         } finally {
             try {
@@ -2859,9 +2859,9 @@
                 pstmt.close();
 
             } catch (SQLException se) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                     "Exception in MetacatServlet.getDocumentList: "
-                            + se.getMessage(), 30);
+                            + se.getMessage());
                 throw se;
             } finally {
                 DBConnectionPool.returnDBConnection(conn, serialNumber);
@@ -2945,7 +2945,7 @@
             // in other suituation we don't change the docid
             newAccNum = docid;
         }
-        MetaCatUtil.debugMessage("The docid will be read is "+newAccNum, 20);
+        logMetacat.warn("The docid will be read is "+newAccNum);
         return newAccNum;
     }
 }
